Package org.alfresco.rest.requests
Class ContentStorageInformation
java.lang.Object
org.alfresco.rest.requests.ModelRequest<ContentStorageInformation>
org.alfresco.rest.requests.ContentStorageInformation
-
Field Summary
Fields inherited from class org.alfresco.rest.requests.ModelRequest
restWrapper -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionGet Content Storage Properties using GET call on "nodes/{nodeId}/storage-info/{contentPropName}"getStorageInfo(String nodeId, String contentPropName) Get Content Storage Properties using GET call on "nodes/{nodeId}/storage-info/{contentPropName}"Get Content Version Storage Properties using GET call on "nodes/{nodeId}/versions/{versionId}/storage-info/{contentPropName}"getVersionStorageInfo(String nodeId, String versionId, String contentPropName) Get Content Version Storage Properties using GET call on "nodes/{nodeId}/versions/{versionId}/storage-info/{contentPropName}"requestArchiveContent(String nodeId, String contentPropName, RestArchiveContentRequestModel archiveContentRequest) Send content to archive using POST call on "nodes/{nodeId}/storage-info/{contentPropName}/archive"requestArchiveContent(RestArchiveContentRequestModel archiveContentRequest) Send content to archive using POST call on "nodes/{nodeId}/storage-info/{contentPropName}/archive"requestArchiveVersionContent(String nodeId, String contentPropName, String versionId, RestArchiveContentRequestModel archiveContentRequest) Send version content to archive using POST call on "nodes/{nodeId}/versions/{versionId}/storage-info/{contentPropName}/archive"requestArchiveVersionContent(RestArchiveContentRequestModel archiveContentRequest) Send version content to archive using POST call on "nodes/{nodeId}/versions/{versionId}/storage-info/{contentPropName}/archive"requestRestoreContentFromArchive(String nodeId, String contentPropName, RestRestoreArchivedContentRequestModel restoreArchivedContentRequest) Restore content from archive using POST call on "nodes/{nodeId}/storage-info/{contentPropName}/archive-restore"requestRestoreContentFromArchive(RestRestoreArchivedContentRequestModel restoreArchivedContentRequest) Restore content from archive using POST call on "nodes/{nodeId}/storage-info/{contentPropName}/archive-restore"requestRestoreVersionContentFromArchive(String nodeId, String contentPropName, String versionId, RestRestoreArchivedContentRequestModel restoreArchivedContentRequest) Restore version content from archive using POST call on "nodes/{nodeId}/storage-info/{contentPropName}/archive-restore"requestRestoreVersionContentFromArchive(RestRestoreArchivedContentRequestModel restoreArchivedContentRequest) Restore version content from archive using POST call on "nodes/{nodeId}/storage-info/versions/{versionId}/{contentPropName}/archive-restore"withContentPropName(String contentPropName) withNodeId(String nodeId) withVersionId(String versionId) Methods inherited from class org.alfresco.rest.requests.ModelRequest
include, includePath, usingParams
-
Constructor Details
-
ContentStorageInformation
-
-
Method Details
-
withNodeId
-
withContentPropName
-
withVersionId
-
getStorageInfo
Get Content Storage Properties using GET call on "nodes/{nodeId}/storage-info/{contentPropName}"- Returns:
-
getVersionStorageInfo
Get Content Version Storage Properties using GET call on "nodes/{nodeId}/versions/{versionId}/storage-info/{contentPropName}"- Returns:
-
getStorageInfo
Get Content Storage Properties using GET call on "nodes/{nodeId}/storage-info/{contentPropName}"- Parameters:
nodeId- The nodeIdcontentPropName- The content property QNAME ie. "cm:content"- Returns:
-
getVersionStorageInfo
public RestContentStorageInfoModel getVersionStorageInfo(String nodeId, String versionId, String contentPropName) Get Content Version Storage Properties using GET call on "nodes/{nodeId}/versions/{versionId}/storage-info/{contentPropName}"- Parameters:
nodeId- The nodeIdversionId- The versionIdcontentPropName- The content property QNAME ie. "cm:content"- Returns:
- object of
RestContentStorageInfoModel
-
requestArchiveContent
Send content to archive using POST call on "nodes/{nodeId}/storage-info/{contentPropName}/archive"- Parameters:
archiveContentRequest- The request body- Returns:
-
requestArchiveVersionContent
public RestResponse requestArchiveVersionContent(RestArchiveContentRequestModel archiveContentRequest) Send version content to archive using POST call on "nodes/{nodeId}/versions/{versionId}/storage-info/{contentPropName}/archive"- Parameters:
archiveContentRequest- The request body- Returns:
-
requestArchiveContent
public RestResponse requestArchiveContent(String nodeId, String contentPropName, RestArchiveContentRequestModel archiveContentRequest) Send content to archive using POST call on "nodes/{nodeId}/storage-info/{contentPropName}/archive"- Parameters:
nodeId- The nodeIdcontentPropName- The content property QNAME ie. "cm:content"archiveContentRequest- The request body- Returns:
-
requestArchiveVersionContent
public RestResponse requestArchiveVersionContent(String nodeId, String contentPropName, String versionId, RestArchiveContentRequestModel archiveContentRequest) Send version content to archive using POST call on "nodes/{nodeId}/versions/{versionId}/storage-info/{contentPropName}/archive"- Parameters:
nodeId- The nodeIdcontentPropName- The content property QNAME ie. "cm:content"versionId- The versionIdarchiveContentRequest- The request body- Returns:
-
requestRestoreContentFromArchive
public RestResponse requestRestoreContentFromArchive(RestRestoreArchivedContentRequestModel restoreArchivedContentRequest) Restore content from archive using POST call on "nodes/{nodeId}/storage-info/{contentPropName}/archive-restore"- Parameters:
restoreArchivedContentRequest- The request body- Returns:
-
requestRestoreVersionContentFromArchive
public RestResponse requestRestoreVersionContentFromArchive(RestRestoreArchivedContentRequestModel restoreArchivedContentRequest) Restore version content from archive using POST call on "nodes/{nodeId}/storage-info/versions/{versionId}/{contentPropName}/archive-restore"- Parameters:
restoreArchivedContentRequest- The request body- Returns:
-
requestRestoreContentFromArchive
public RestResponse requestRestoreContentFromArchive(String nodeId, String contentPropName, RestRestoreArchivedContentRequestModel restoreArchivedContentRequest) Restore content from archive using POST call on "nodes/{nodeId}/storage-info/{contentPropName}/archive-restore"- Parameters:
nodeId- The nodeIdcontentPropName- The content property QNAME ie. "cm:content"restoreArchivedContentRequest- The request body- Returns:
-
requestRestoreVersionContentFromArchive
public RestResponse requestRestoreVersionContentFromArchive(String nodeId, String contentPropName, String versionId, RestRestoreArchivedContentRequestModel restoreArchivedContentRequest) Restore version content from archive using POST call on "nodes/{nodeId}/storage-info/{contentPropName}/archive-restore"- Parameters:
nodeId- The nodeIdcontentPropName- The content property QNAME ie. "cm:content"versionId- The versionIdrestoreArchivedContentRequest- The request body- Returns:
-